%global momorel 4

Summary: Generic Graphics Library
Name: gegl
Version: 0.0.22
Release: %{momorel}m%{?dist}
License: GPLv3+ and LGPLv3+
Group: Development/Tools
URL: http://www.gegl.org/
Source0: ftp://ftp.gimp.org/pub/%{name}/0.0/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: replace-imgconvert-by-swsscale.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: enscript
BuildRequires: pkgconfig
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: SDL-devel
BuildRequires: atk-devel
BuildRequires: babl-devel >= 0.0.22
BuildRequires: bzip2-devel
BuildRequires: cairo-devel >= 1.4.10
BuildRequires: dirac-devel
BuildRequires: expat-devel
BuildRequires: faac-devel
BuildRequires: faad2-devel
BuildRequires: ffmpeg-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gegl-devel
BuildRequires: glib2-devel >= 2.14.1
BuildRequires: glibc-devel
BuildRequires: glitz-devel
BuildRequires: graphviz-devel
BuildRequires: gtk2-devel >= 2.14.0
BuildRequires: ilmbase-devel
BuildRequires: lame-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libjpeg-devel
BuildRequires: libogg-devel
BuildRequires: libopenraw-devel
BuildRequires: libpng-devel
BuildRequires: librsvg2-devel >= 2.22.2-3m
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libxcb-devel
BuildRequires: pango-devel >= 1.18.2
BuildRequires: pixman-devel
BuildRequires: speex-devel
BuildRequires: x264-devel >= 0.0.721-0.20081021
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
GEGL (Generic Graphics Library) is a graph based image processing framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies. and a simple well defined API.

%package devel
Summary: gnomescan devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: babl-devel

%description devel
gegl devel

%prep
%setup -q
%patch0 -p1 -b .img_convert
chmod -x operations/external/ff-load.c operations/common/perlin/perlin.*

%build
autoreconf -fi
%configure --disable-static --enable-workshop --with-graphviz
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/gegl-0.0
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gegl-0.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/gegl

%changelog
* Thu Jul  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.22-4m)
- apply replace img_convert() patch from Gentoo
-- http://bugs.gentoo.org/246797
-- http://bugs.gentoo.org/240433

* Fri Jun 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.22-3m)
- fix license

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.22-2m)
- rebuild against rpm-4.6

* Sat Jan  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.22-1m)
- update to 0.0.22
- License: GPLv3+ or LGPLv3+

* Sun Oct 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.20-1m)
- update 0.0.20

* Sun Jul  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.18-3m)
- rebuild against graphviz-2.18

* Fri Jul  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.18-1m)
- update to 0.0.18

* Tue May 06 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.16-1m)
- update to 0.0.16

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.12-7m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.12-6m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.12-5m)
- rebuild against OpenEXR-1.6.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-4m)
- %%NoSource -> NoSource

* Sun Sep 23 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.0.12-3m)
- add libdir patch

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.12-2m)
- install library to lib64 (arch x86_64)

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.12-1m)
- initial build
